<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AgencyRead StructType
 * @subpackage Structs
 */
class AgencyRead extends AbstractStructBase
{
    /**
     * The AgencyReadRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_AgencyRead
     */
    public $AgencyReadRQ;
    /**
     * Constructor method for AgencyRead
     * @uses AgencyRead::setAgencyReadRQ()
     * @param \StructType\JP_AgencyRead $agencyReadRQ
     */
    public function __construct(\StructType\JP_AgencyRead $agencyReadRQ = null)
    {
        $this
            ->setAgencyReadRQ($agencyReadRQ);
    }
    /**
     * Get AgencyReadRQ value
     * @return \StructType\JP_AgencyRead|null
     */
    public function getAgencyReadRQ()
    {
        return $this->AgencyReadRQ;
    }
    /**
     * Set AgencyReadRQ value
     * @param \StructType\JP_AgencyRead $agencyReadRQ
     * @return \StructType\AgencyRead
     */
    public function setAgencyReadRQ(\StructType\JP_AgencyRead $agencyReadRQ = null)
    {
        $this->AgencyReadRQ = $agencyReadRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\AgencyRead
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
